- Qt 6.8
- Qt Test
- C++ Classes
- QtTestLib
- ThrowOnSkipEnabler
- Qt 6.8.3 Reference Documentation

# ThrowOnSkipEnabler Class

class QTest::ThrowOnSkipEnabler

Header: | `#include <ThrowOnSkipEnabler>`
Since: | Qt 6.8

- List of all members, including inherited members

## Public Functions

| ThrowOnSkipEnabler()
| ~ThrowOnSkipEnabler()

## Detailed Description

RAII class around setThrowOnSkip().

## Member Function Documentation

### ThrowOnSkipEnabler::ThrowOnSkipEnabler()

Constructor. Calls `setThrowOnSkip(true)`.

### `[noexcept]` ThrowOnSkipEnabler::~ThrowOnSkipEnabler()

Destructor. Calls `setThrowOnSkip(false)`.